Subject: Re: support git+mosh for unreliable connections

From: Michael J Gruber <[email-masked]>
Date: Wed, 15 Apr 2015 15:52:07 +0200

Pirate Praveen venit, vidit, dixit 15.04.2015 15:07:
> Hi,
> 
>  When working with big projects over a slow, unreliable connection,
> currently there is no way to resume a clone or pull when the connection
> breaks. mosh is a better replacement for ssh over unreliable
> connections. supporting git+mosh protocol will go a long way in
> supporting people who work with unreliable, mobile networks, especially
> in developed countries (I personally have to try many times when working
> with large projects as my 3g mobile connection keeps dropping. I
> recently discovered mosh and it works like a charm. More about mosh
> https://mosh.mit.edu/

What would that require git to do, beyond taking whatever you tell it
(using GIT_SSH or _GIT_SSH_COMMAND) to use as a drop in replacement for ssh?

Michael